## org.eclipse.wst.wsdl.binding.soap
Interface SOAPPackage

    public interface SOAPPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SOAPFactory`

Nested Class Summary
`static interface` `SOAPPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static SOAPPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `ISOAP_ADDRESS` The meta object id for the '`ISOAP Address`' class
`static int` `ISOAP_ADDRESS_FEATURE_COUNT` The number of structural features of the 'ISOAP Address' class
`static int` `ISOAP_BINDING` The meta object id for the '`ISOAP Binding`' class
`static int` `ISOAP_BINDING_FEATURE_COUNT` The number of structural features of the 'ISOAP Binding' class
`static int` `ISOAP_BODY` The meta object id for the '`ISOAP Body`' class
`static int` `ISOAP_BODY_FEATURE_COUNT` The number of structural features of the 'ISOAP Body' class
`static int` `ISOAP_FAULT` The meta object id for the '`ISOAP Fault`' class
`static int` `ISOAP_FAULT_FEATURE_COUNT` The number of structural features of the 'ISOAP Fault' class
`static int` `ISOAP_HEADER` The meta object id for the '`ISOAP Header`' class
`static int` `ISOAP_HEADER_FAULT` The meta object id for the '`ISOAP Header Fault`' class
`static int` `ISOAP_HEADER_FAULT_FEATURE_COUNT` The number of structural features of the 'ISOAP Header Fault' class
`static int` `ISOAP_HEADER_FEATURE_COUNT` The number of structural features of the 'ISOAP Header' class
`static int` `ISOAP_OPERATION` The meta object id for the '`ISOAP Operation`' class
`static int` `ISOAP_OPERATION_FEATURE_COUNT` The number of structural features of the 'ISOAP Operation' class
`static int` `ISTRING` The meta object id for the 'IString' data type
`static int` `SOAP_ADDRESS` The meta object id for the '`Address`' class
`static int` `SOAP_ADDRESS__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` `SOAP_ADDRESS__ELEMENT` The feature id for the 'Element' attribute
`static int` `SOAP_ADDRESS__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` `SOAP_ADDRESS__LOCATION_URI` The feature id for the 'Location URI' attribute
`static int` `SOAP_ADDRESS__REQUIRED` The feature id for the 'Required' attribute
`static int` `SOAP_ADDRESS_FEATURE_COUNT` The number of structural features of the 'Address' class
`static int` `SOAP_BINDING` The meta object id for the '`Binding`' class
`static int` `SOAP_BINDING__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` `SOAP_BINDING__ELEMENT` The feature id for the 'Element' attribute
`static int` `SOAP_BINDING__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` `SOAP_BINDING__REQUIRED` The feature id for the 'Required' attribute
`static int` `SOAP_BINDING__STYLE` The feature id for the 'Style' attribute
`static int` `SOAP_BINDING__TRANSPORT_URI` The feature id for the 'Transport URI' attribute
`static int` `SOAP_BINDING_FEATURE_COUNT` The number of structural features of the 'Binding' class
`static int` `SOAP_BODY` The meta object id for the '`Body`' class
`static int` `SOAP_BODY__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` `SOAP_BODY__EENCODING_STYLES` The feature id for the 'EEncoding Styles' attribute list
`static int` `SOAP_BODY__ELEMENT` The feature id for the 'Element' attribute
`static int` `SOAP_BODY__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` `SOAP_BODY__EPARTS` The feature id for the 'EParts' reference list
`static int` `SOAP_BODY__NAMESPACE_URI` The feature id for the 'Namespace URI' attribute
`static int` `SOAP_BODY__REQUIRED` The feature id for the 'Required' attribute
`static int` `SOAP_BODY__USE` The feature id for the 'Use' attribute
`static int` `SOAP_BODY_FEATURE_COUNT` The number of structural features of the 'Body' class
`static int` `SOAP_FAULT` The meta object id for the '`Fault`' class
`static int` `SOAP_FAULT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` `SOAP_FAULT__EENCODING_STYLES` The feature id for the 'EEncoding Styles' attribute list
`static int` `SOAP_FAULT__ELEMENT` The feature id for the 'Element' attribute
`static int` `SOAP_FAULT__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` `SOAP_FAULT__NAME` The feature id for the 'Name' attribute
`static int` `SOAP_FAULT__NAMESPACE_URI` The feature id for the 'Namespace URI' attribute
`static int` `SOAP_FAULT__REQUIRED` The feature id for the 'Required' attribute
`static int` `SOAP_FAULT__USE` The feature id for the 'Use' attribute
`static int` `SOAP_FAULT_FEATURE_COUNT` The number of structural features of the 'Fault' class
`static int` `SOAP_HEADER` The meta object id for the '`Header`' class
`static int` `SOAP_HEADER__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` `SOAP_HEADER__EENCODING_STYLES` The feature id for the 'EEncoding Styles' attribute list
`static int` `SOAP_HEADER__ELEMENT` The feature id for the 'Element' attribute
`static int` `SOAP_HEADER__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` `SOAP_HEADER__EMESSAGE` The feature id for the 'EMessage' reference
`static int` `SOAP_HEADER__EPART` The feature id for the 'EPart' reference
`static int` `SOAP_HEADER__HEADER_FAULTS` The feature id for the 'Header Faults' containment reference list
`static int` `SOAP_HEADER__MESSAGE` The feature id for the 'Message' attribute
`static int` `SOAP_HEADER__NAMESPACE_URI` The feature id for the 'Namespace URI' attribute
`static int` `SOAP_HEADER__PART` The feature id for the 'Part' attribute
`static int` `SOAP_HEADER__REQUIRED` The feature id for the 'Required' attribute
`static int` `SOAP_HEADER__USE` The feature id for the 'Use' attribute
`static int` `SOAP_HEADER_BASE` The meta object id for the '`Header Base`' class
`static int` `SOAP_HEADER_BASE__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` `SOAP_HEADER_BASE__EENCODING_STYLES` The feature id for the 'EEncoding Styles' attribute list
`static int` `SOAP_HEADER_BASE__ELEMENT` The feature id for the 'Element' attribute
`static int` `SOAP_HEADER_BASE__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` `SOAP_HEADER_BASE__EMESSAGE` The feature id for the 'EMessage' reference
`static int` `SOAP_HEADER_BASE__EPART` The feature id for the 'EPart' reference
`static int` `SOAP_HEADER_BASE__MESSAGE` The feature id for the 'Message' attribute
`static int` `SOAP_HEADER_BASE__NAMESPACE_URI` The feature id for the 'Namespace URI' attribute
`static int` `SOAP_HEADER_BASE__PART` The feature id for the 'Part' attribute
`static int` `SOAP_HEADER_BASE__REQUIRED` The feature id for the 'Required' attribute
`static int` `SOAP_HEADER_BASE__USE` The feature id for the 'Use' attribute
`static int` `SOAP_HEADER_BASE_FEATURE_COUNT` The number of structural features of the 'Header Base' class
`static int` `SOAP_HEADER_FAULT` The meta object id for the '`Header Fault`' class
`static int` `SOAP_HEADER_FAULT__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` `SOAP_HEADER_FAULT__EENCODING_STYLES` The feature id for the 'EEncoding Styles' attribute list
`static int` `SOAP_HEADER_FAULT__ELEMENT` The feature id for the 'Element' attribute
`static int` `SOAP_HEADER_FAULT__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` `SOAP_HEADER_FAULT__EMESSAGE` The feature id for the 'EMessage' reference
`static int` `SOAP_HEADER_FAULT__EPART` The feature id for the 'EPart' reference
`static int` `SOAP_HEADER_FAULT__MESSAGE` The feature id for the 'Message' attribute
`static int` `SOAP_HEADER_FAULT__NAMESPACE_URI` The feature id for the 'Namespace URI' attribute
`static int` `SOAP_HEADER_FAULT__PART` The feature id for the 'Part' attribute
`static int` `SOAP_HEADER_FAULT__REQUIRED` The feature id for the 'Required' attribute
`static int` `SOAP_HEADER_FAULT__USE` The feature id for the 'Use' attribute
`static int` `SOAP_HEADER_FAULT_FEATURE_COUNT` The number of structural features of the 'Header Fault' class
`static int` `SOAP_HEADER_FEATURE_COUNT` The number of structural features of the 'Header' class
`static int` `SOAP_OPERATION` The meta object id for the '`Operation`' class
`static int` `SOAP_OPERATION__DOCUMENTATION_ELEMENT` The feature id for the 'Documentation Element' attribute
`static int` `SOAP_OPERATION__ELEMENT` The feature id for the 'Element' attribute
`static int` `SOAP_OPERATION__ELEMENT_TYPE` The feature id for the 'Element Type' attribute
`static int` `SOAP_OPERATION__REQUIRED` The feature id for the 'Required' attribute
`static int` `SOAP_OPERATION__SOAP_ACTION_URI` The feature id for the 'Soap Action URI' attribute
`static int` `SOAP_OPERATION__STYLE` The feature id for the 'Style' attribute
`static int` `SOAP_OPERATION_FEATURE_COUNT` The number of structural features of the 'Operation' class

Method Summary
`EClass` `getISOAPAddress()` Returns the meta object for class '`ISOAP Address`'
`EClass` `getISOAPBinding()` Returns the meta object for class '`ISOAP Binding`'
`EClass` `getISOAPBody()` Returns the meta object for class '`ISOAP Body`'
`EClass` `getISOAPFault()` Returns the meta object for class '`ISOAP Fault`'
`EClass` `getISOAPHeader()` Returns the meta object for class '`ISOAP Header`'
`EClass` `getISOAPHeaderFault()` Returns the meta object for class '`ISOAP Header Fault`'
`EClass` `getISOAPOperation()` Returns the meta object for class '`ISOAP Operation`'
`EDataType` `getIString()` Returns the meta object for data type '`IString`'
`EAttribute` `getSOAPAddress_LocationURI()` Returns the meta object for the attribute '`Location URI`'
`EClass` `getSOAPAddress()` Returns the meta object for class '`Address`'
`EAttribute` `getSOAPBinding_Style()` Returns the meta object for the attribute '`Style`'
`EAttribute` `getSOAPBinding_TransportURI()` Returns the meta object for the attribute '`Transport URI`'
`EClass` `getSOAPBinding()` Returns the meta object for class '`Binding`'
`EAttribute` `getSOAPBody_EEncodingStyles()` Returns the meta object for the attribute list '`EEncoding Styles`'
`EReference` `getSOAPBody_EParts()` Returns the meta object for the reference list '`EParts`'
`EAttribute` `getSOAPBody_NamespaceURI()` Returns the meta object for the attribute '`Namespace URI`'
`EAttribute` `getSOAPBody_Use()` Returns the meta object for the attribute '`Use`'
`EClass` `getSOAPBody()` Returns the meta object for class '`Body`'
`SOAPFactory` `getSOAPFactory()` Returns the factory that creates the instances of the model
`EAttribute` `getSOAPFault_EEncodingStyles()` Returns the meta object for the attribute list '`EEncoding Styles`'
`EAttribute` `getSOAPFault_Name()` Returns the meta object for the attribute '`Name`'
`EAttribute` `getSOAPFault_NamespaceURI()` Returns the meta object for the attribute '`Namespace URI`'
`EAttribute` `getSOAPFault_Use()` Returns the meta object for the attribute '`Use`'
`EClass` `getSOAPFault()` Returns the meta object for class '`Fault`'
`EReference` `getSOAPHeader_HeaderFaults()` Returns the meta object for the containment reference list '`Header Faults`'
`EClass` `getSOAPHeader()` Returns the meta object for class '`Header`'
`EAttribute` `getSOAPHeaderBase_EEncodingStyles()` Returns the meta object for the attribute list '`EEncoding Styles`'
`EReference` `getSOAPHeaderBase_EMessage()` Returns the meta object for the reference '`EMessage`'
`EReference` `getSOAPHeaderBase_EPart()` Returns the meta object for the reference '`EPart`'
`EAttribute` `getSOAPHeaderBase_Message()` Returns the meta object for the attribute '`Message`'
`EAttribute` `getSOAPHeaderBase_NamespaceURI()` Returns the meta object for the attribute '`Namespace URI`'
`EAttribute` `getSOAPHeaderBase_Part()` Returns the meta object for the attribute '`Part`'
`EAttribute` `getSOAPHeaderBase_Use()` Returns the meta object for the attribute '`Use`'
`EClass` `getSOAPHeaderBase()` Returns the meta object for class '`Header Base`'
`EClass` `getSOAPHeaderFault()` Returns the meta object for class '`Header Fault`'
`EAttribute` `getSOAPOperation_SoapActionURI()` Returns the meta object for the attribute '`Soap Action URI`'
`EAttribute` `getSOAPOperation_Style()` Returns the meta object for the attribute '`Style`'
`EClass` `getSOAPOperation()` Returns the meta object for class '`Operation`'

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SOAPPackage eINSTANCE

  The singleton instance of the package.

### SOAP_BINDING

    static final int SOAP_BINDING

  The meta object id for the '`Binding`' class.

  See Also:
    `SOAPBindingImpl`, `SOAPPackageImpl.getSOAPBinding()`, Constant Field Values

### SOAP_BINDING__DOCUMENTATION_ELEMENT

    static final int SOAP_BINDING__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### SOAP_BINDING__ELEMENT

    static final int SOAP_BINDING__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### SOAP_BINDING__REQUIRED

    static final int SOAP_BINDING__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### SOAP_BINDING__ELEMENT_TYPE

    static final int SOAP_BINDING__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### SOAP_BINDING__TRANSPORT_URI

    static final int SOAP_BINDING__TRANSPORT_URI

  The feature id for the 'Transport URI' attribute.

  See Also:
    Constant Field Values

### SOAP_BINDING__STYLE

    static final int SOAP_BINDING__STYLE

  The feature id for the 'Style' attribute.

  See Also:
    Constant Field Values

### SOAP_BINDING_FEATURE_COUNT

    static final int SOAP_BINDING_FEATURE_COUNT

  The number of structural features of the 'Binding' class.

  See Also:
    Constant Field Values

### SOAP_BODY

    static final int SOAP_BODY

  The meta object id for the '`Body`' class.

  See Also:
    `SOAPBodyImpl`, `SOAPPackageImpl.getSOAPBody()`, Constant Field Values

### SOAP_BODY__DOCUMENTATION_ELEMENT

    static final int SOAP_BODY__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### SOAP_BODY__ELEMENT

    static final int SOAP_BODY__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### SOAP_BODY__REQUIRED

    static final int SOAP_BODY__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### SOAP_BODY__ELEMENT_TYPE

    static final int SOAP_BODY__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### SOAP_BODY__USE

    static final int SOAP_BODY__USE

  The feature id for the 'Use' attribute.

  See Also:
    Constant Field Values

### SOAP_BODY__NAMESPACE_URI

    static final int SOAP_BODY__NAMESPACE_URI

  The feature id for the 'Namespace URI' attribute.

  See Also:
    Constant Field Values

### SOAP_BODY__EENCODING_STYLES

    static final int SOAP_BODY__EENCODING_STYLES

  The feature id for the 'EEncoding Styles' attribute list.

  See Also:
    Constant Field Values

### SOAP_BODY__EPARTS

    static final int SOAP_BODY__EPARTS

  The feature id for the 'EParts' reference list.

  See Also:
    Constant Field Values

### SOAP_BODY_FEATURE_COUNT

    static final int SOAP_BODY_FEATURE_COUNT

  The number of structural features of the 'Body' class.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE

    static final int SOAP_HEADER_BASE

  The meta object id for the '`Header Base`' class.

  See Also:
    `SOAPHeaderBaseImpl`, `SOAPPackageImpl.getSOAPHeaderBase()`, Constant Field Values

### SOAP_HEADER_BASE__DOCUMENTATION_ELEMENT

    static final int SOAP_HEADER_BASE__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__ELEMENT

    static final int SOAP_HEADER_BASE__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__REQUIRED

    static final int SOAP_HEADER_BASE__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__ELEMENT_TYPE

    static final int SOAP_HEADER_BASE__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__USE

    static final int SOAP_HEADER_BASE__USE

  The feature id for the 'Use' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__NAMESPACE_URI

    static final int SOAP_HEADER_BASE__NAMESPACE_URI

  The feature id for the 'Namespace URI' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__EENCODING_STYLES

    static final int SOAP_HEADER_BASE__EENCODING_STYLES

  The feature id for the 'EEncoding Styles' attribute list.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__MESSAGE

    static final int SOAP_HEADER_BASE__MESSAGE

  The feature id for the 'Message' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__PART

    static final int SOAP_HEADER_BASE__PART

  The feature id for the 'Part' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__EMESSAGE

    static final int SOAP_HEADER_BASE__EMESSAGE

  The feature id for the 'EMessage' reference.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE__EPART

    static final int SOAP_HEADER_BASE__EPART

  The feature id for the 'EPart' reference.

  See Also:
    Constant Field Values

### SOAP_HEADER_BASE_FEATURE_COUNT

    static final int SOAP_HEADER_BASE_FEATURE_COUNT

  The number of structural features of the 'Header Base' class.

  See Also:
    Constant Field Values

### SOAP_FAULT

    static final int SOAP_FAULT

  The meta object id for the '`Fault`' class.

  See Also:
    `SOAPFaultImpl`, `SOAPPackageImpl.getSOAPFault()`, Constant Field Values

### SOAP_FAULT__DOCUMENTATION_ELEMENT

    static final int SOAP_FAULT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### SOAP_FAULT__ELEMENT

    static final int SOAP_FAULT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### SOAP_FAULT__REQUIRED

    static final int SOAP_FAULT__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### SOAP_FAULT__ELEMENT_TYPE

    static final int SOAP_FAULT__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### SOAP_FAULT__USE

    static final int SOAP_FAULT__USE

  The feature id for the 'Use' attribute.

  See Also:
    Constant Field Values

### SOAP_FAULT__NAMESPACE_URI

    static final int SOAP_FAULT__NAMESPACE_URI

  The feature id for the 'Namespace URI' attribute.

  See Also:
    Constant Field Values

### SOAP_FAULT__EENCODING_STYLES

    static final int SOAP_FAULT__EENCODING_STYLES

  The feature id for the 'EEncoding Styles' attribute list.

  See Also:
    Constant Field Values

### SOAP_FAULT__NAME

    static final int SOAP_FAULT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SOAP_FAULT_FEATURE_COUNT

    static final int SOAP_FAULT_FEATURE_COUNT

  The number of structural features of the 'Fault' class.

  See Also:
    Constant Field Values

### SOAP_OPERATION

    static final int SOAP_OPERATION

  The meta object id for the '`Operation`' class.

  See Also:
    `SOAPOperationImpl`, `SOAPPackageImpl.getSOAPOperation()`, Constant Field Values

### SOAP_OPERATION__DOCUMENTATION_ELEMENT

    static final int SOAP_OPERATION__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### SOAP_OPERATION__ELEMENT

    static final int SOAP_OPERATION__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### SOAP_OPERATION__REQUIRED

    static final int SOAP_OPERATION__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### SOAP_OPERATION__ELEMENT_TYPE

    static final int SOAP_OPERATION__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### SOAP_OPERATION__SOAP_ACTION_URI

    static final int SOAP_OPERATION__SOAP_ACTION_URI

  The feature id for the 'Soap Action URI' attribute.

  See Also:
    Constant Field Values

### SOAP_OPERATION__STYLE

    static final int SOAP_OPERATION__STYLE

  The feature id for the 'Style' attribute.

  See Also:
    Constant Field Values

### SOAP_OPERATION_FEATURE_COUNT

    static final int SOAP_OPERATION_FEATURE_COUNT

  The number of structural features of the 'Operation' class.

  See Also:
    Constant Field Values

### SOAP_ADDRESS

    static final int SOAP_ADDRESS

  The meta object id for the '`Address`' class.

  See Also:
    `SOAPAddressImpl`, `SOAPPackageImpl.getSOAPAddress()`, Constant Field Values

### SOAP_ADDRESS__DOCUMENTATION_ELEMENT

    static final int SOAP_ADDRESS__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### SOAP_ADDRESS__ELEMENT

    static final int SOAP_ADDRESS__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### SOAP_ADDRESS__REQUIRED

    static final int SOAP_ADDRESS__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### SOAP_ADDRESS__ELEMENT_TYPE

    static final int SOAP_ADDRESS__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### SOAP_ADDRESS__LOCATION_URI

    static final int SOAP_ADDRESS__LOCATION_URI

  The feature id for the 'Location URI' attribute.

  See Also:
    Constant Field Values

### SOAP_ADDRESS_FEATURE_COUNT

    static final int SOAP_ADDRESS_FEATURE_COUNT

  The number of structural features of the 'Address' class.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT

    static final int SOAP_HEADER_FAULT

  The meta object id for the '`Header Fault`' class.

  See Also:
    `SOAPHeaderFaultImpl`, `SOAPPackageImpl.getSOAPHeaderFault()`, Constant Field Values

### SOAP_HEADER_FAULT__DOCUMENTATION_ELEMENT

    static final int SOAP_HEADER_FAULT__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__ELEMENT

    static final int SOAP_HEADER_FAULT__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__REQUIRED

    static final int SOAP_HEADER_FAULT__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__ELEMENT_TYPE

    static final int SOAP_HEADER_FAULT__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__USE

    static final int SOAP_HEADER_FAULT__USE

  The feature id for the 'Use' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__NAMESPACE_URI

    static final int SOAP_HEADER_FAULT__NAMESPACE_URI

  The feature id for the 'Namespace URI' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__EENCODING_STYLES

    static final int SOAP_HEADER_FAULT__EENCODING_STYLES

  The feature id for the 'EEncoding Styles' attribute list.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__MESSAGE

    static final int SOAP_HEADER_FAULT__MESSAGE

  The feature id for the 'Message' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__PART

    static final int SOAP_HEADER_FAULT__PART

  The feature id for the 'Part' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__EMESSAGE

    static final int SOAP_HEADER_FAULT__EMESSAGE

  The feature id for the 'EMessage' reference.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT__EPART

    static final int SOAP_HEADER_FAULT__EPART

  The feature id for the 'EPart' reference.

  See Also:
    Constant Field Values

### SOAP_HEADER_FAULT_FEATURE_COUNT

    static final int SOAP_HEADER_FAULT_FEATURE_COUNT

  The number of structural features of the 'Header Fault' class.

  See Also:
    Constant Field Values

### SOAP_HEADER

    static final int SOAP_HEADER

  The meta object id for the '`Header`' class.

  See Also:
    `SOAPHeaderImpl`, `SOAPPackageImpl.getSOAPHeader()`, Constant Field Values

### SOAP_HEADER__DOCUMENTATION_ELEMENT

    static final int SOAP_HEADER__DOCUMENTATION_ELEMENT

  The feature id for the 'Documentation Element' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER__ELEMENT

    static final int SOAP_HEADER__ELEMENT

  The feature id for the 'Element' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER__REQUIRED

    static final int SOAP_HEADER__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER__ELEMENT_TYPE

    static final int SOAP_HEADER__ELEMENT_TYPE

  The feature id for the 'Element Type' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER__USE

    static final int SOAP_HEADER__USE

  The feature id for the 'Use' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER__NAMESPACE_URI

    static final int SOAP_HEADER__NAMESPACE_URI

  The feature id for the 'Namespace URI' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER__EENCODING_STYLES

    static final int SOAP_HEADER__EENCODING_STYLES

  The feature id for the 'EEncoding Styles' attribute list.

  See Also:
    Constant Field Values

### SOAP_HEADER__MESSAGE

    static final int SOAP_HEADER__MESSAGE

  The feature id for the 'Message' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER__PART

    static final int SOAP_HEADER__PART

  The feature id for the 'Part' attribute.

  See Also:
    Constant Field Values

### SOAP_HEADER__EMESSAGE

    static final int SOAP_HEADER__EMESSAGE

  The feature id for the 'EMessage' reference.

  See Also:
    Constant Field Values

### SOAP_HEADER__EPART

    static final int SOAP_HEADER__EPART

  The feature id for the 'EPart' reference.

  See Also:
    Constant Field Values

### SOAP_HEADER__HEADER_FAULTS

    static final int SOAP_HEADER__HEADER_FAULTS

  The feature id for the 'Header Faults' containment reference list.

  See Also:
    Constant Field Values

### SOAP_HEADER_FEATURE_COUNT

    static final int SOAP_HEADER_FEATURE_COUNT

  The number of structural features of the 'Header' class.

  See Also:
    Constant Field Values

### ISOAP_BINDING

    static final int ISOAP_BINDING

  The meta object id for the '`ISOAP Binding`' class.

  See Also:
    `SOAPBinding`, `SOAPPackageImpl.getISOAPBinding()`, Constant Field Values

### ISOAP_BINDING_FEATURE_COUNT

    static final int ISOAP_BINDING_FEATURE_COUNT

  The number of structural features of the 'ISOAP Binding' class.

  See Also:
    Constant Field Values

### ISOAP_ADDRESS

    static final int ISOAP_ADDRESS

  The meta object id for the '`ISOAP Address`' class.

  See Also:
    `SOAPAddress`, `SOAPPackageImpl.getISOAPAddress()`, Constant Field Values

### ISOAP_ADDRESS_FEATURE_COUNT

    static final int ISOAP_ADDRESS_FEATURE_COUNT

  The number of structural features of the 'ISOAP Address' class.

  See Also:
    Constant Field Values

### ISOAP_BODY

    static final int ISOAP_BODY

  The meta object id for the '`ISOAP Body`' class.

  See Also:
    `SOAPBody`, `SOAPPackageImpl.getISOAPBody()`, Constant Field Values

### ISOAP_BODY_FEATURE_COUNT

    static final int ISOAP_BODY_FEATURE_COUNT

  The number of structural features of the 'ISOAP Body' class.

  See Also:
    Constant Field Values

### ISOAP_FAULT

    static final int ISOAP_FAULT

  The meta object id for the '`ISOAP Fault`' class.

  See Also:
    `SOAPFault`, `SOAPPackageImpl.getISOAPFault()`, Constant Field Values

### ISOAP_FAULT_FEATURE_COUNT

    static final int ISOAP_FAULT_FEATURE_COUNT

  The number of structural features of the 'ISOAP Fault' class.

  See Also:
    Constant Field Values

### ISOAP_OPERATION

    static final int ISOAP_OPERATION

  The meta object id for the '`ISOAP Operation`' class.

  See Also:
    `SOAPOperation`, `SOAPPackageImpl.getISOAPOperation()`, Constant Field Values

### ISOAP_OPERATION_FEATURE_COUNT

    static final int ISOAP_OPERATION_FEATURE_COUNT

  The number of structural features of the 'ISOAP Operation' class.

  See Also:
    Constant Field Values

### ISOAP_HEADER_FAULT

    static final int ISOAP_HEADER_FAULT

  The meta object id for the '`ISOAP Header Fault`' class.

  See Also:
    `SOAPHeaderFault`, `SOAPPackageImpl.getISOAPHeaderFault()`, Constant Field Values

### ISOAP_HEADER_FAULT_FEATURE_COUNT

    static final int ISOAP_HEADER_FAULT_FEATURE_COUNT

  The number of structural features of the 'ISOAP Header Fault' class.

  See Also:
    Constant Field Values

### ISOAP_HEADER

    static final int ISOAP_HEADER

  The meta object id for the '`ISOAP Header`' class.

  See Also:
    `SOAPHeader`, `SOAPPackageImpl.getISOAPHeader()`, Constant Field Values

### ISOAP_HEADER_FEATURE_COUNT

    static final int ISOAP_HEADER_FEATURE_COUNT

  The number of structural features of the 'ISOAP Header' class.

  See Also:
    Constant Field Values

### ISTRING

    static final int ISTRING

  The meta object id for the 'IString' data type.

  See Also:
    `String`, `SOAPPackageImpl.getIString()`, Constant Field Values

Method Detail

### getSOAPBinding

    EClass getSOAPBinding()

  Returns the meta object for class '`Binding`'.

  Returns:
    the meta object for class 'Binding'.
  See Also:
    `SOAPBinding`

### getSOAPBinding_TransportURI

    EAttribute getSOAPBinding_TransportURI()

  Returns the meta object for the attribute '`Transport URI`'.

  Returns:
    the meta object for the attribute 'Transport URI'.
  See Also:
    `SOAPBinding.getTransportURI()`, `getSOAPBinding()`

### getSOAPBinding_Style

    EAttribute getSOAPBinding_Style()

  Returns the meta object for the attribute '`Style`'.

  Returns:
    the meta object for the attribute 'Style'.
  See Also:
    `SOAPBinding.getStyle()`, `getSOAPBinding()`

### getSOAPBody

    EClass getSOAPBody()

  Returns the meta object for class '`Body`'.

  Returns:
    the meta object for class 'Body'.
  See Also:
    `SOAPBody`

### getSOAPBody_Use

    EAttribute getSOAPBody_Use()

  Returns the meta object for the attribute '`Use`'.

  Returns:
    the meta object for the attribute 'Use'.
  See Also:
    `SOAPBody.getUse()`, `getSOAPBody()`

### getSOAPBody_NamespaceURI

    EAttribute getSOAPBody_NamespaceURI()

  Returns the meta object for the attribute '`Namespace URI`'.

  Returns:
    the meta object for the attribute 'Namespace URI'.
  See Also:
    `SOAPBody.getNamespaceURI()`, `getSOAPBody()`

### getSOAPBody_EEncodingStyles

    EAttribute getSOAPBody_EEncodingStyles()

  Returns the meta object for the attribute list '`EEncoding Styles`'.

  Returns:
    the meta object for the attribute list 'EEncoding Styles'.
  See Also:
    `SOAPBody.getEEncodingStyles()`, `getSOAPBody()`

### getSOAPBody_EParts

    EReference getSOAPBody_EParts()

  Returns the meta object for the reference list '`EParts`'.

  Returns:
    the meta object for the reference list 'EParts'.
  See Also:
    `SOAPBody.getEParts()`, `getSOAPBody()`

### getSOAPHeaderBase

    EClass getSOAPHeaderBase()

  Returns the meta object for class '`Header Base`'.

  Returns:
    the meta object for class 'Header Base'.
  See Also:
    `SOAPHeaderBase`

### getSOAPHeaderBase_Use

    EAttribute getSOAPHeaderBase_Use()

  Returns the meta object for the attribute '`Use`'.

  Returns:
    the meta object for the attribute 'Use'.
  See Also:
    `SOAPHeaderBase.getUse()`, `getSOAPHeaderBase()`

### getSOAPHeaderBase_NamespaceURI

    EAttribute getSOAPHeaderBase_NamespaceURI()

  Returns the meta object for the attribute '`Namespace URI`'.

  Returns:
    the meta object for the attribute 'Namespace URI'.
  See Also:
    `SOAPHeaderBase.getNamespaceURI()`, `getSOAPHeaderBase()`

### getSOAPHeaderBase_EEncodingStyles

    EAttribute getSOAPHeaderBase_EEncodingStyles()

  Returns the meta object for the attribute list '`EEncoding Styles`'.

  Returns:
    the meta object for the attribute list 'EEncoding Styles'.
  See Also:
    `SOAPHeaderBase.getEEncodingStyles()`, `getSOAPHeaderBase()`

### getSOAPHeaderBase_Message

    EAttribute getSOAPHeaderBase_Message()

  Returns the meta object for the attribute '`Message`'.

  Returns:
    the meta object for the attribute 'Message'.
  See Also:
    `SOAPHeaderBase.getMessage()`, `getSOAPHeaderBase()`

### getSOAPHeaderBase_Part

    EAttribute getSOAPHeaderBase_Part()

  Returns the meta object for the attribute '`Part`'.

  Returns:
    the meta object for the attribute 'Part'.
  See Also:
    `SOAPHeaderBase.getPart()`, `getSOAPHeaderBase()`

### getSOAPHeaderBase_EMessage

    EReference getSOAPHeaderBase_EMessage()

  Returns the meta object for the reference '`EMessage`'.

  Returns:
    the meta object for the reference 'EMessage'.
  See Also:
    `SOAPHeaderBase.getEMessage()`, `getSOAPHeaderBase()`

### getSOAPHeaderBase_EPart

    EReference getSOAPHeaderBase_EPart()

  Returns the meta object for the reference '`EPart`'.

  Returns:
    the meta object for the reference 'EPart'.
  See Also:
    `SOAPHeaderBase.getEPart()`, `getSOAPHeaderBase()`

### getSOAPFault

    EClass getSOAPFault()

  Returns the meta object for class '`Fault`'.

  Returns:
    the meta object for class 'Fault'.
  See Also:
    `SOAPFault`

### getSOAPFault_Use

    EAttribute getSOAPFault_Use()

  Returns the meta object for the attribute '`Use`'.

  Returns:
    the meta object for the attribute 'Use'.
  See Also:
    `SOAPFault.getUse()`, `getSOAPFault()`

### getSOAPFault_NamespaceURI

    EAttribute getSOAPFault_NamespaceURI()

  Returns the meta object for the attribute '`Namespace URI`'.

  Returns:
    the meta object for the attribute 'Namespace URI'.
  See Also:
    `SOAPFault.getNamespaceURI()`, `getSOAPFault()`

### getSOAPFault_EEncodingStyles

    EAttribute getSOAPFault_EEncodingStyles()

  Returns the meta object for the attribute list '`EEncoding Styles`'.

  Returns:
    the meta object for the attribute list 'EEncoding Styles'.
  See Also:
    `SOAPFault`, `getSOAPFault()`

### getSOAPFault_Name

    EAttribute getSOAPFault_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `SOAPFault.getName()`, `getSOAPFault()`

### getSOAPOperation

    EClass getSOAPOperation()

  Returns the meta object for class '`Operation`'.

  Returns:
    the meta object for class 'Operation'.
  See Also:
    `SOAPOperation`

### getSOAPOperation_SoapActionURI

    EAttribute getSOAPOperation_SoapActionURI()

  Returns the meta object for the attribute '`Soap Action URI`'.

  Returns:
    the meta object for the attribute 'Soap Action URI'.
  See Also:
    `SOAPOperation.getSoapActionURI()`, `getSOAPOperation()`

### getSOAPOperation_Style

    EAttribute getSOAPOperation_Style()

  Returns the meta object for the attribute '`Style`'.

  Returns:
    the meta object for the attribute 'Style'.
  See Also:
    `SOAPOperation.getStyle()`, `getSOAPOperation()`

### getSOAPAddress

    EClass getSOAPAddress()

  Returns the meta object for class '`Address`'.

  Returns:
    the meta object for class 'Address'.
  See Also:
    `SOAPAddress`

### getSOAPAddress_LocationURI

    EAttribute getSOAPAddress_LocationURI()

  Returns the meta object for the attribute '`Location URI`'.

  Returns:
    the meta object for the attribute 'Location URI'.
  See Also:
    `SOAPAddress.getLocationURI()`, `getSOAPAddress()`

### getSOAPHeaderFault

    EClass getSOAPHeaderFault()

  Returns the meta object for class '`Header Fault`'.

  Returns:
    the meta object for class 'Header Fault'.
  See Also:
    `SOAPHeaderFault`

### getSOAPHeader

    EClass getSOAPHeader()

  Returns the meta object for class '`Header`'.

  Returns:
    the meta object for class 'Header'.
  See Also:
    `SOAPHeader`

### getSOAPHeader_HeaderFaults

    EReference getSOAPHeader_HeaderFaults()

  Returns the meta object for the containment reference list '`Header Faults`'.

  Returns:
    the meta object for the containment reference list 'Header Faults'.
  See Also:
    `SOAPHeader.getHeaderFaults()`, `getSOAPHeader()`

### getISOAPBinding

    EClass getISOAPBinding()

  Returns the meta object for class '`ISOAP Binding`'.

  Returns:
    the meta object for class 'ISOAP Binding'.
  See Also:
    `SOAPBinding`

### getISOAPAddress

    EClass getISOAPAddress()

  Returns the meta object for class '`ISOAP Address`'.

  Returns:
    the meta object for class 'ISOAP Address'.
  See Also:
    `SOAPAddress`

### getISOAPBody

    EClass getISOAPBody()

  Returns the meta object for class '`ISOAP Body`'.

  Returns:
    the meta object for class 'ISOAP Body'.
  See Also:
    `SOAPBody`

### getISOAPFault

    EClass getISOAPFault()

  Returns the meta object for class '`ISOAP Fault`'.

  Returns:
    the meta object for class 'ISOAP Fault'.
  See Also:
    `SOAPFault`

### getISOAPOperation

    EClass getISOAPOperation()

  Returns the meta object for class '`ISOAP Operation`'.

  Returns:
    the meta object for class 'ISOAP Operation'.
  See Also:
    `SOAPOperation`

### getISOAPHeaderFault

    EClass getISOAPHeaderFault()

  Returns the meta object for class '`ISOAP Header Fault`'.

  Returns:
    the meta object for class 'ISOAP Header Fault'.
  See Also:
    `SOAPHeaderFault`

### getISOAPHeader

    EClass getISOAPHeader()

  Returns the meta object for class '`ISOAP Header`'.

  Returns:
    the meta object for class 'ISOAP Header'.
  See Also:
    `SOAPHeader`

### getIString

    EDataType getIString()

  Returns the meta object for data type '`IString`'.

  Returns:
    the meta object for data type 'IString'.
  See Also:
    `String`

### getSOAPFactory

    SOAPFactory getSOAPFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.